This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 35635 - Highlight changed watches in debugger window during stepping in debugger
Summary: Highlight changed watches in debugger window during stepping in debugger
Status: CLOSED FIXED
Alias: None
Product: debugger
Classification: Unclassified
Component: Java (show other bugs)
Version: 3.x
Hardware: All All
: P1 blocker (vote)
Assignee: issues@debugger
URL:
Keywords:
Depends on:
Blocks: 35735
  Show dependency tree
 
Reported: 2003-08-21 11:06 UTC by mvinar
Modified: 2012-12-13 16:24 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mvinar 2003-08-21 11:06:10 UTC
User problem:
-----------------------------------
The user has no way how to quickly determine which
variables are changing during steps in debugger.

User need:
-----------------------------------
The user needs to observe which of the variables
he is watching are changing (and how) during
stepping in debugger.

Product requirement:
-----------------------------------
Highlight changed watches in debugger window
during stepping in debugger (i.e. The values
affected by the program are highlighted in
different color)
Comment 1 _ tboudreau 2003-08-24 00:12:09 UTC
Might be able to do this with navigator/outline - show 
watches in a list, and let the look provide HTML boldfacing
or other highlighting of changed values.

Can't estimate the hack factor/difficulty - I don't know the
Debugger APIs.  Presumably the object representing a Watch
has this information in an accessible form somewhere?  If
so it might not be too difficult.
Comment 2 Roman Ondruska 2005-05-12 15:03:00 UTC
Implemented.
Comment 3 Quality Engineering 2010-04-29 09:14:45 UTC
Verified ... and Closing all issues resolved into NetBeans 6.7 and earlier.